package com.community.huiju.model;

import java.util.Date;
import java.util.List;

public class TpBillOrder {
    private Integer id;

    private Integer communityId;

    private Integer tpBillId;

    private Integer tpBillInvoiceId;

    private String orderBumber;

    private Integer createUser;

    private Date createDate;

    private Integer updateUser;

    private Date updateDate;

    /**
     *  0：未支付  1: 已支付 2: 正在支付中
     */
    private String orderStatus;

    /**
     * 缴费人手机号
     */
    private String payPhone;

    /**
     * 订单总额
     */
    private Double sumPrice;

    /**
     * 缴费单集合
     */
    private List<TpBillInvoice> billList;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getCommunityId() {
        return communityId;
    }

    public void setCommunityId(Integer communityId) {
        this.communityId = communityId;
    }

    public Integer getTpBillId() {
        return tpBillId;
    }

    public void setTpBillId(Integer tpBillId) {
        this.tpBillId = tpBillId;
    }

    public Integer getTpBillInvoiceId() {
        return tpBillInvoiceId;
    }

    public void setTpBillInvoiceId(Integer tpBillInvoiceId) {
        this.tpBillInvoiceId = tpBillInvoiceId;
    }

    public String getOrderBumber() {
        return orderBumber;
    }

    public void setOrderBumber(String orderBumber) {
        this.orderBumber = orderBumber == null ? null : orderBumber.trim();
    }

    public Integer getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Integer createUser) {
        this.createUser = createUser;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Integer getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(Integer updateUser) {
        this.updateUser = updateUser;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public String getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(String orderStatus) {
        this.orderStatus = orderStatus;
    }

    public String getPayPhone() {
        return payPhone;
    }

    public void setPayPhone(String payPhone) {
        this.payPhone = payPhone;
    }

    public List<TpBillInvoice> getBillList() {
        return billList;
    }

    public void setBillList(List<TpBillInvoice> billList) {
        this.billList = billList;
    }

    public Double getSumPrice() {
        return sumPrice;
    }

    public void setSumPrice(Double sumPrice) {
        this.sumPrice = sumPrice;
    }
}